$ nvim test.c

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>     // minimal correction here to avoid warning:
#include <sys/types.h>  // implicit declaration of function 'fork'
#include <sys/wait.h>
int main(void)
{
  int status; pid_t pid;
  pid = fork();
  if(pid == 0)
  {
    printf("Child process running...\n"); // Do something...
    printf("Child process done.\n"); exit(123);
  }
  else if(pid > 0)
  {
    printf("Parent process, waiting for child %d...\n", pid);
    pid = wait(&status);
    printf("Child process %d terminated, status %d.\n", pid, \
      WEXITSTATUS(status));
    exit(EXIT_SUCCESS);
  }
  else
  {
    printf("fork() failed\n"); exit(EXIT_FAILURE);
  }
}

$ gcc -std=c11 test.c -o test
$ ./test
Parent process, waiting for child 23824...
Child process running...
Child process done.
Child process 23824 terminated, status 123.
$ ./test
Parent process, waiting for child 23832...
Child process running...
Child process done.
Child process 23832 terminated, status 123.
$
