$ nvim test.c

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>     // minimal correction here to avoid warning:
#include <sys/types.h>  // implicit declaration of function 'fork'
#include <sys/wait.h>
int main (void)
{
  int status = 0;
  pid_t pid;
  int a, b = 0;
  pid = fork ();
  if (pid == 0)
  {
    // child process is doing
    // something...
    a = 2;
    b = 3;
    a = a * b;
    printf (" result of child process: %d \n", a);
    exit (123);
  }
  else if (pid > 0)
  {
    // parent process is doing
    // something and is waiting for child ...
    a = 2;
    b = 3;
    a = a * b;
    pid = wait (&status);
    printf (" result of parent process: %d \n", a);
    printf("Child process %d terminated, status %d.\n", pid, \
      WEXITSTATUS(status));
    exit (EXIT_SUCCESS);
  }
  else
  {
    printf ("fork() failed\n");
    exit(EXIT_FAILURE);
  }
  return 0;
}
:x

$ gcc -std=c11 test.c -o test
$ ./test
result of child process: 6
result of parent process: 6
Child process 26514 terminated, status 123.
$ ./test
result of child process: 6
result of parent process: 6
Child process 26521 terminated, status 123.
$ ./test
result of child process: 6
result of parent process: 6
Child process 26529 terminated, status 123.
$
